Banking
Update a bank rule. Partial body; the merged rule is re-validated in full. (scope: banking:write)
PATCH
bearerAuthheader
AuthorizationBearer <token>API key as Bearer token
id*stringapplication/json- body
A bank reconciliation rule. At least one condition (matchCounterpartyName, matchCounterpartyIban, matchDescription/Regex, amountMin/Max, direction != any) and one action (assignContactId, assignAccountId, assignCostCenterId, assignVatRate, descriptionTemplate, markIgnored, memo) are required.
name?stringLength
length <= 200isActive?booleanDefault
truestagingMode?stringDefault
"recognized"Value in
"recognized""categorized"matchCounterpartyName?stringLength
length <= 255matchCounterpartyIban?stringLength
length <= 40matchDescriptionRegex?stringLength
length <= 500matchDescription?stringLength
length <= 500matchDescriptionOp?stringDefault
"contains"Value in
"contains""starts_with""equals""regex"amountMin?stringDecimal, up to 2 dp
amountMax?stringDecimal, up to 2 dp
direction?stringDefault
"any"Value in
"any""inflow""outflow"assignContactId?stringFormat
uuidassignAccountId?stringFormat
uuidassignCostCenterId?stringFormat
uuidassignVatRate?integerRange
0 <= value <= 100descriptionTemplate?stringLength
length <= 500markIgnored?booleanDefault
falsememo?stringLength
length <= 2000curl -X PATCH "https://example.com/banking/rules/string" \ -H "Content-Type: application/json" \ -d '{}'Empty